{% extends 'base.html.twig' %}

{% block title %}Cadeau index{% endblock %}

{% block body %}
    <h1>Liste des cadeaux</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Designation</th>
                <th>Age minimum</th>
                <th>Prix</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for cadeau in cadeaus %}
            <tr>
                <td>{{ cadeau.designation }}</td>
                <td>{{ cadeau.ageMin }}</td>
                <td>{{ cadeau.price }}</td>
                <td>
                    <a href="{{ path('cadeau_show', {'id': cadeau.id}) }}">Afficher</a> &nbsp
                    <a href="{{ path('cadeau_edit', {'id': cadeau.id}) }}">Modifier</a> &nbsp
                    <a href="{{ path('souhaitAdd', {'id': cadeau.id}) }}">Ajouter au panier</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">Aucun cadeau trouvé</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('cadeau_new') }}">Créer un nouveau cadeau</a>
{% endblock %}
